package com.steerinfo.ems.tcm0311.service;

import com.steerinfo.ems.tcm0311.model.TCm0311;
import com.steerinfo.framework.service.IBaseService;

import java.util.List;
import java.util.Map;

/**
 * TCm0311服务接口：
 * @author 王金涛
 * @version 1.0-SNAPSHORT 2019-10-15 09:49
 * 类描述
 * 修订历史：
 * 日期：2019-10-15
 * 作者：王金涛
 * 参考：
 * 描述：TCm0311服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface ITCm0311Service extends IBaseService<TCm0311, String>{
    List<TCm0311> getNameAndId();
    List<TCm0311> getUnsitemNameAndId(Map<String, Object> parameters);
    TCm0311 getcheckstate(Map<String, Object> parameters);
    Long getMaxXh();
}